Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.util.properties
Class FilteredNamePropertiesRO

Direct Known Subclasses:
  FilteredNameProperties

public class FilteredNamePropertiesRO
implements IPropertiesRO

Presents filtered property with read-only access. Name of this property is derived from the base property by means of filter. For example, we have some list of base properties and it is neccessary to get result list which contains properties with names which start with some char sequence. In order to filter base list it is neccessary to specify filter object with executeInverse method which returns properties which names start with specified char sequence. This sequence is removed from these names.

Author:
  TogetherSoft
See Also: InvertibleFunction

Constructor Summary
`FilteredNamePropertiesRO(IPropertiesRO base, InvertibleFunction filter)` Creates new filterd property with specified filter and base property.

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener listener)` Add a PropertyChangeListener to the listener list.
`protected void` | `firePropertyChange(String key, String oldValue, String value)`
`protected void` | `firePropertyChange(String key, String oldValue)`
`protected IPropertiesRO` | `getBase()`
`protected InvertibleFunction` | `getFilter()`
`String` | `getProperty(String key, String defaultValue)` Gets a property with the specified key and default.
`Enumeration` | `propertyNames()` Returns an enumeration of all the keys in this property list, including the keys in the default property list.
`void` | `removePropertyChangeListener(PropertyChangeListener listener)` Remove a PropertyChangeListener from the listener list.

Constructor Detail

### FilteredNamePropertiesRO

    public FilteredNamePropertiesRO(IPropertiesRO base, InvertibleFunction filter)

  Creates new filterd property with specified filter and base property.

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener listener)

  Add a PropertyChangeListener to the listener list.
  Parameters:
    listener - The PropertyChangeListener to be added

### firePropertyChange

    protected void firePropertyChange(String key, String oldValue, String value)

### firePropertyChange

    protected void firePropertyChange(String key, String oldValue)

### getBase

    protected IPropertiesRO getBase()

### getFilter

    protected InvertibleFunction getFilter()

### getProperty

    public String getProperty(String key, String defaultValue)

  Gets a property with the specified key and default. If the key is not found in this property list, tries the defaults. This method returns defaultValue if the property is not found.
  See Also:
    java.util.Properties.getProperty(java.lang.String)

### propertyNames

    public Enumeration propertyNames()

  Returns an enumeration of all the keys in this property list, including the keys in the default property list.
  Returns: an enumeration of all the keys in this property list, including the keys in the default property list.

### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener listener)

  Remove a PropertyChangeListener from the listener list.
  Parameters:
    listener - The PropertyChangeListener to be removed

Association Links

to Class java.beans.PropertyChangeSupport

to Class java.beans.PropertyChangeListener

to Class com.togethersoft.openapi.util.function.InvertibleFunction

to Class com.togethersoft.openapi.util.properties.IPropertiesRO

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD